Subject: bug#74281: 30.0.91; font-lock mode hangs on scrolling large Scheme file

From: Stefan Monnier <[email-masked]>
Date: Sun, 29 Dec 2024 23:45:19 -0500

> I recently did a build of `master`, I don't think the bug was fixed.
> Have you tested with `tex.el`?

Your bug report was about Scheme files.
If you see the "same" problem for (La)TeX files, I think it would be
best to open a new bug report for it.

IIRC, `font-lock--syntax-table-affects-ppss` can't be nil in
`latex-mode` (or at least it's not clear how to do that without breaking
something) because of how $...$ is paired (which doesn't always obey the
nesting of braces).

        Stefan